### Method

# GWeather Info set_application_id

#### Declaration [src]

    void
    gweather_info_set_application_id (
      GWeatherInfo* info,
      const char* application_id
    )

#### Description [src]

Sets the application ID of the application fetching the weather. It is a requirement for using any of the online weather providers.

If the application uses `GApplication`, then the application ID will be automatically filled in.

Sets property | `GWeather.Info:application-id`

#### Parameters

`application_id`

  Type: `const char*`

  The application ID to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.